Page MenuHomePhabricator

Add QUnit tests to PerformanceInspector
Closed, ResolvedPublic

Description

We needs tests that:

  • test each collector
  • one test that tests the full structure

This will surely make it easier in the future to make sure we don't break anything,

Event Timeline

Peter created this task.Apr 25 2016, 9:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2016, 9:21 AM

Change 285225 had a related patch set uploaded (by Krinkle):
QUnit tests to verify that the extension works

https://gerrit.wikimedia.org/r/285225

Change 292186 had a related patch set uploaded (by Krinkle):
Add qunit job for mwext-PerformanceInspector

https://gerrit.wikimedia.org/r/292186

Change 292186 merged by jenkins-bot:
Add qunit job for mwext-PerformanceInspector

https://gerrit.wikimedia.org/r/292186

Qgil renamed this task from Add QUnit tests to Add QUnit tests to PerformanceInspector.Jun 1 2016, 6:17 PM

Change 285225 merged by jenkins-bot:
QUnit tests to verify that the extension works

https://gerrit.wikimedia.org/r/285225

Krinkle closed this task as Resolved.Jul 11 2016, 11:40 PM